<?xml version="1.0" encoding="UTF-8"?>

<module name="regular field slice" class="RegularFieldSlice">
    <inputs>
        <input name="inField" type="org.visnow.vn.lib.types.VNRegularField" modifiers="NECESSARY:TRIGGERING">
            <acceptor>
                <param name="NDIMS" value="3"/>
                <param name="LARGE" value="true"/> 
            </acceptor>
        </input>
    </inputs>
    <outputs>
        <output name="outField" type="org.visnow.vn.lib.types.VNRegularField">
            <schema>
                <param name="NDIMS" value="2"/>
            </schema>
        </output>
        <geometryOutput/>
    </outputs>    
    <parameters>
    </parameters>
    <description value="slices a 3D regular field by fixing one of the indices at selected level "/>
</module>
